## kdenetwork-filesharing 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(filesharing)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(QT_MIN_VERSION "5.0.0")
set(KF5_MIN_VERSION "5.7.0")
set(ECM_MIN_VERSION "1.6.0")

find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    DocTools
    CoreAddons
    I18n
    KIO
    WidgetsAddons
)

find_package(PackageKitQt5 0.9.5)
set_package_properties(PackageKitQt5
    PROPERTIES DESCRIPTION "Software Manager integration"
    TYPE OPTIONAL
    PURPOSE "Needed to automatically install the samba package."
)

include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckTypeSize)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)

option(SAMBA_INSTALL "Offer to install Samba for file sharing with PackageKit if it is not already installed, use -DSAMBA_INSTALL=off to disable, use -DSAMBA_PACKAGE_NAME= to set package name." ON)
set(SAMBA_PACKAGE_NAME \"samba\" CACHE STRING "Name of distribution package to install to get a functional samba stack.")

if(SAMBA_INSTALL AND PackageKitQt5_FOUND)
    add_definitions(-DSAMBA_INSTALL)
    add_definitions(-DSAMBA_PACKAGE_NAME=${SAMBA_PACKAGE_NAME})
else()
    set(SAMBA_INSTALL false)
endif()
add_feature_info("Samba Installation" SAMBA_INSTALL "Automatic installation of '${SAMBA_PACKAGE_NAME}' using PackageKit.")

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kfileshare\")

add_subdirectory(samba)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kdenetwork-filesharing 4.11.2

=== debian/changelog ===
kdenetwork-filesharing (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:12:39 +0100

kdenetwork-filesharing (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:18:55 +0100

kdenetwork-filesharing (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:11:09 +0100

kdenetwork-filesharing (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:20:52 +0100

kdenetwork-filesharing (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:12 +0000

kdenetwork-filesharing (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * Tidy up copyright file
  * Fix watch file

  [ Michał Zając ]
  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:09:49 +0100

kdenetwork-filesharing (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package split from kdenetwork
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:14:35 +0100

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork-filesharing
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork-filesharing

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network filesharing configuration module
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE networking module.

Package: kdenetwork-filesharing-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg
Recommends: kde-workspace-dbg
Suggests: kdenetwork-filesharing (= ${source:Version})
Replaces: kdenetwork-dbg
Breaks: kdenetwork-dbg
Description: debugging symbols for kdenetwork-filesharing
 This package contains debugging files used to investigate problems with
 kdenetwork-filesharing.

## kdenetwork-filesharing 4.12.2

=== debian/changelog ===
kdenetwork-filesharing (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:46 +0200

kdenetwork-filesharing (4:4.12.2-1) experimental; urgency=medium

  * 
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:07 +0100

kdenetwork-filesharing (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 11:02:18 +0100

kdenetwork-filesharing (4:4.11.2-1) experimental; urgency=low

  * First release of kdenetwork after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 14:09:22 +0200

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdenetwork-filesharing.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdenetwork-filesharing.git

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: network filesharing configuration module
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE networking module.

## kdenetwork-filesharing 4.13.0

=== debian/changelog ===
kdenetwork-filesharing (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Apr 2014 11:37:33 +0200

kdenetwork-filesharing (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:19:24 +0200

kdenetwork-filesharing (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:07:51 +0100

kdenetwork-filesharing (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:48:05 +0000

kdenetwork-filesharing (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:40:46 +0100

kdenetwork-filesharing (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:50:43 +0000

kdenetwork-filesharing (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:08:48 +0000

kdenetwork-filesharing (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:43:08 +0000

kdenetwork-filesharing (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:47:19 +0000

kdenetwork-filesharing (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:56:07 +0100

kdenetwork-filesharing (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:35:43 +0100

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.13.0)
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork-filesharing
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork-filesharing

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network filesharing configuration module
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE networking module.

Package: kdenetwork-filesharing-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg
Recommends: kde-workspace-dbg
Suggests: kdenetwork-filesharing (= ${source:Version})
Replaces: kdenetwork-dbg
Breaks: kdenetwork-dbg
Description: debugging symbols for kdenetwork-filesharing
 This package contains debugging files used to investigate problems with
 kdenetwork-filesharing.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kdenetwork-filesharing-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdenetwork-filesharing-([\d\.]*).tar.xz

## kdenetwork-filesharing 4.14.1

=== debian/changelog ===
kdenetwork-filesharing (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:45:39 +0200

kdenetwork-filesharing (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:46:09 +0200

kdenetwork-filesharing (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:32:10 +0200

kdenetwork-filesharing (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:02:18 +0200

kdenetwork-filesharing (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 22:58:02 +0200

kdenetwork-filesharing (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:52:05 +0100

kdenetwork-filesharing (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Keep -dbg package

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 11 Jun 2014 12:43:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,29 @@
 Section: kde
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0)
-Standards-Version: 3.9.4
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Fathi Boudra <fabo@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           George Kiagiadakis <kiagiadakis.george@gmail.com>,
+           Eshat Cakar <info@eshat.de>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14.1),
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork-filesharing
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork-filesharing
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdenetwork-filesharing.git
+X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdenetwork-filesharing.git
 
 Package: kdenetwork-filesharing
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: network filesharing configuration module
  This package provides a System Settings panel to configure network
  file-sharing using NFS and Samba.

## kdenetwork-filesharing 4.14.2

=== debian/changelog ===
kdenetwork-filesharing (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:45:21 +0200

kdenetwork-filesharing (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 13:42:51 -0700

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbg-package=kdenetwork-filesharing-dbg

## kdenetwork-filesharing 14.12.3

=== debian/changelog ===
kdenetwork-filesharing (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * Add back kdelibs5 parent version depend. 
  * New upstream release
  * Fix kdelib5 version in build depends. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:49:36 -0700

kdenetwork-filesharing (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:42:03 -0800

kdenetwork-filesharing (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:08:44 +0100

kdenetwork-filesharing (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 10:28:29 -0800

kdenetwork-filesharing (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, remaining changes: 
   - Keep dbg package.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 24 Nov 2014 22:42:32 +0000

kdenetwork-filesharing (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 13:42:51 -0700

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdenetwork-filesharing.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdenetwork-filesharing.git

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: network filesharing configuration module
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE networking module.

Package: kdenetwork-filesharing-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kde-runtime-dbg,
         kdenetwork-filesharing (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for kdenetwork-filesharing
 This package contains debugging files used to investigate problems with
 kdenetwork-filesharing.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdenetwork-filesharing-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kdenetwork-filesharing-([\d.]+).tar.xz

## kdenetwork-filesharing 15.10.0+git20151014

=== debian/changelog ===
kdenetwork-filesharing (4:15.10.0+git20151014-0ubuntu2) wily; urgency=medium

  * Add missing build-dep on extra-cmake-modules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Oct 2015 17:39:56 +0100

kdenetwork-filesharing (4:15.10.0+git20151014-0ubuntu1) wily; urgency=medium

  * Upstream snapshot for frameworks 5 integration

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Oct 2015 16:41:12 +0100

kdenetwork-filesharing (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:18:45 +0100

kdenetwork-filesharing (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:41:55 +0100

kdenetwork-filesharing (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:22:19 +0100

kdenetwork-filesharing (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:46:08 +0100

kdenetwork-filesharing (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix kdelibs version. 
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:52:46 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,16 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14),
-               pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+               extra-cmake-modules,
+               kdoctools-dev,
+               kio-dev,
+               libkf5coreaddons-dev,
+               libkf5i18n-dev,
+               libkf5widgetsaddons-dev,
+               libpackagekitqt5-dev,
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdenetwork-filesharing.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdenetwork-filesharing.git
@@ -22,6 +28,7 @@
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: dolphin
 Description: network filesharing configuration module
  This package provides a System Settings panel to configure network
  file-sharing using NFS and Samba.
@@ -32,9 +39,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: kde-runtime-dbg,
-         kdenetwork-filesharing (= ${binary:Version}),
-         ${misc:Depends}
+Depends: kdenetwork-filesharing (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for kdenetwork-filesharing
  This package contains debugging files used to investigate problems with
  kdenetwork-filesharing.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdenetwork-filesharing-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kdenetwork-filesharing-([\d.]+).tar.xz

## kdenetwork-filesharing 15.12.3

=== debian/changelog ===
kdenetwork-filesharing (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Add missing build dep libpackagekitqt5-dev
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:14:30 -0700

kdenetwork-filesharing (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes.
  * Replace ddeb-migration with dbg-package to fix empty binary
  * fix debian upload version.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:37:45 +0100

kdenetwork-filesharing (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:48 +0100

kdenetwork-filesharing (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Adding new build deps

 -- Clive Johnston <clivejo@aol.com>  Sun, 03 Jan 2016 00:17:57 +0000

kdenetwork-filesharing (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 Feb 2015 19:04:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,21 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules,
-               kdoctools-dev,
-               kio-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5widgetsaddons-dev,
+               extra-cmake-modules (>= 1.6.0~),
+               kdoctools-dev (>= 5.7.0~),
+               kio-dev (>= 5.7.0~),
+               libkf5coreaddons-dev (>= 5.7.0~),
+               libkf5i18n-dev (>= 5.7.0~),
+               libkf5widgetsaddons-dev (>= 5.7.0~),
                libpackagekitqt5-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev
+               qtbase5-dev (>= 5.0.0~)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdenetwork-filesharing.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdenetwork-filesharing.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdenetwork-filesharing.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdenetwork-filesharing.git
 
 Package: kdenetwork-filesharing
 Section: net

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbg-package=kdenetwork-filesharing-dbg

## kdenetwork-filesharing 16.04.3

=== debian/changelog ===
kdenetwork-filesharing (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:28:06 +0200

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,19 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.6.0~),
-               kdoctools-dev (>= 5.7.0~),
-               kio-dev (>= 5.7.0~),
-               libkf5coreaddons-dev (>= 5.7.0~),
-               libkf5i18n-dev (>= 5.7.0~),
-               libkf5widgetsaddons-dev (>= 5.7.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
                libpackagekitqt5-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.0.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdenetwork-filesharing.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdenetwork-filesharing.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
 
 Package: kdenetwork-filesharing
 Section: net

## kdenetwork-filesharing 16.08.2

=== debian/changelog ===
kdenetwork-filesharing (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:28:02 +0200

kdenetwork-filesharing (4:16.04.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 16:17:17 +0200

kdenetwork-filesharing (4:16.04.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the libpackagekitqt5-dev build dependency to enable the samba
    installation.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove kdenetwork-filesharing.install, no more used now
  * Backport upstream commit fb48a2e997eb76ff2eeff1e69c2db35478c2f0c0 to fix
    detection of smbd; patch upstream_Sync-smbd-detection-with-kio.patch.
    (Closes: #826851)
  * Suggest samba. (Closes: #691637)

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jun 2016 22:09:22 +0200

kdenetwork-filesharing (4:15.12.1-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 11:57:30 +0200

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.6.0~),
               kdoctools-dev (>= 5.7.0~),
               kio-dev (>= 5.7.0~),
               libkf5coreaddons-dev (>= 5.7.0~),
               libkf5doctools-dev (>= 5.7.0~),
               libkf5i18n-dev (>= 5.7.0~),
               libkf5kio-dev (>= 5.7.0~),
               libkf5widgetsaddons-dev (>= 5.7.0~),
               libpackagekitqt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.0.0~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdenetwork-filesharing.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdenetwork-filesharing.git

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: samba
Description: network filesharing configuration module
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdenetwork-filesharing-dbg (<= 4:15.12.0-1~~)'

## kdenetwork-filesharing 16.12.3

=== debian/changelog ===
kdenetwork-filesharing (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:13 +0000

kdenetwork-filesharing (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:11:51 +0000

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libpackagekitqt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: dolphin
Description: network filesharing configuration module
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE networking module.

Package: kdenetwork-filesharing-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdenetwork-filesharing (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for kdenetwork-filesharing
 This package contains debugging files used to investigate problems with
 kdenetwork-filesharing.

## kdenetwork-filesharing 17.04.3

=== debian/changelog ===
kdenetwork-filesharing (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:06 +0100

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,9 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: dolphin
+Suggests: samba
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: network filesharing configuration module
  This package provides a System Settings panel to configure network
  file-sharing using NFS and Samba.

## kdenetwork-filesharing 17.08.3

=== debian/changelog ===
kdenetwork-filesharing (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update uploaders list as requested by MIA team (Closes: #879325)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 21:42:09 +0100

kdenetwork-filesharing (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:59:59 +0000

kdenetwork-filesharing (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:34:33 +0000

kdenetwork-filesharing (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:01 +0000

kdenetwork-filesharing (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:21 +0000

kdenetwork-filesharing (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:15:30 +0000

kdenetwork-filesharing (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:50 +0000

kdenetwork-filesharing (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:47:50 +0000

kdenetwork-filesharing (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:57:56 +0000

kdenetwork-filesharing (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:09:47 +0000

kdenetwork-filesharing (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:26:36 +0000

kdenetwork-filesharing (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:01 +0000

kdenetwork-filesharing (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:44 +0000

kdenetwork-filesharing (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:17 +0000

kdenetwork-filesharing (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:17 +0000

kdenetwork-filesharing (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Jul 2016 16:36:40 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdenetwork-filesharing-dbg (<= 4:15.12.0-1~~)'

## kdenetwork-filesharing 17.12.3

=== debian/changelog ===
kdenetwork-filesharing (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:25:53 +0000

kdenetwork-filesharing (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:57:07 +0000

kdenetwork-filesharing (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * No change rebuild against libpackagekitqt5-1

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 04 Feb 2018 08:28:53 +0000

kdenetwork-filesharing (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:36 +0000

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
 Package: kdenetwork-filesharing-dbg
 Section: debug
 Architecture: any
-Priority: extra
+Priority: optional
 Depends: kdenetwork-filesharing (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for kdenetwork-filesharing
  This package contains debugging files used to investigate problems with

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbg-package=kdenetwork-filesharing-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdenetwork-filesharing-([\d.]+).tar.xz

## kdenetwork-filesharing 18.04.3

=== debian/changelog ===
kdenetwork-filesharing (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Add patch to fix building with packagekit-qt (v1.0.1). Restores
    missing option to install samba from the 'Share' tab in Dolphin's
    folder properties dialog. (LP: #1795398)
    - debian/patches: kubuntu_fix-cmake-PackageKitQt5-version.patch

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 01 Oct 2018 15:01:54 +0100

kdenetwork-filesharing (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:16:23 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libpackagekitqt5-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing

## kdenetwork-filesharing 18.12.3

=== debian/changelog ===
kdenetwork-filesharing (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:27:44 +0000

kdenetwork-filesharing (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:15:07 +0000

kdenetwork-filesharing (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:03 +0000

kdenetwork-filesharing (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:48:38 +0000

kdenetwork-filesharing (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Drop kubuntu_fix-cmake-PackageKitQt5-version.patch applied upstream.
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 15:02:57 +0000

## kdenetwork-filesharing 19.04.3

=== debian/changelog ===
kdenetwork-filesharing (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:13:24 +0100

kdenetwork-filesharing (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:04:09 +0100

kdenetwork-filesharing (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:57:21 +0100

kdenetwork-filesharing (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:42:48 +0100

## kdenetwork-filesharing 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,14 +20,14 @@
 )
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
-    DocTools
+    Completion
     CoreAddons
     I18n
     KIO
     WidgetsAddons
 )
 
-find_package(PackageKitQt5 0.9.5)
+find_package(PackageKitQt5)
 set_package_properties(PackageKitQt5
     PROPERTIES DESCRIPTION "Software Manager integration"
     TYPE OPTIONAL
@@ -40,6 +40,9 @@
 include(CheckFunctionExists)
 include(CheckLibraryExists)
 include(CheckTypeSize)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+endif()
 
 if(WIN32)
     set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
@@ -47,7 +50,7 @@
 endif(WIN32)
 
 option(SAMBA_INSTALL "Offer to install Samba for file sharing with PackageKit if it is not already installed, use -DSAMBA_INSTALL=off to disable, use -DSAMBA_PACKAGE_NAME= to set package name." ON)
-set(SAMBA_PACKAGE_NAME \"samba\" CACHE STRING "Name of distribution package to install to get a functional samba stack.")
+set(SAMBA_PACKAGE_NAME \"samba\" CACHE STRING "Single package or comma-separated list of packages needed for a functional Samba stack on this distribution.")
 
 if(SAMBA_INSTALL AND PackageKitQt5_FOUND)
     add_definitions(-DSAMBA_INSTALL)
@@ -62,4 +65,8 @@
 
 add_subdirectory(samba)
 
+install(FILES org.kde.kdenetwork-filesharing.metainfo.xml
+        DESTINATION ${KDE_INSTALL_METAINFODIR})
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)

=== debian/changelog ===
kdenetwork-filesharing (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:08:28 +0000

kdenetwork-filesharing (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:19:11 +0000

kdenetwork-filesharing (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:53:14 +0000

kdenetwork-filesharing (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:46:51 +0000

kdenetwork-filesharing (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:31:32 +0000

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libpackagekitqt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: samba
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: network filesharing configuration module
 This package provides a way to configure network file-sharing using
 NFS and Samba in the properties dialogue of the file manager.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdenetwork-filesharing-dbg (<= 4:15.12.0-1~~)'
